<?php
$d=array("tituloApp"=>"Historias Clinicas","menu"=>"");
$this->parser->parse("html/page/v2/header",$d);
$this->parser->parse("html/page/v2/bar",$d);
$parse["menu"]=$this->load->view("html/page/v2/php/menuHClinica",$d,true);
$parse["tituloApp"]=$d["tituloApp"];
$this->parser->parse("html/page/v2/navigation",$parse);
$nombreTmp=isset($_SESSION["nombreTmp"])?$_SESSION["nombreTmp"]:"";
unset($_SESSION["nombreTmp"]);
?>
<style type="text/css">
tr{
    margin: 0 !important;
    padding: 0;
}
</style>
<script type="text/javascript">
var nombre = "<?php echo $nombreTmp?>";
</script>
<div class="modal fade" id="modAjax" tabindex="-1" role="dialog" aria-hidden="true">
</div>
<div class="row">
    <div class="col-md-12 col-lg-12">
        <div class="box box-primary">
            <div class="panel panel-info">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col-md-12">
                            <h4 class="text-primary"><a href="#" data-toggle="modal" data-target="#modAjax" data-backdrop="static" id="nombrePaciente">Todos los pacientes</a></h4>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Fecha Inicial</label>
                                <input id="fechaInicial" value="<?=date("d-m-Y")?>" type="text" class="form-control" placeholder="">      
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Fecha Final</label>
                                <input id="fechaFinal" value="<?=date("d-m-Y")?>" type="text" class="form-control" placeholder="">                                  
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>&nbsp;Acciones</label>
                                <div class="input-group">
                                    <div class="btn-group">
                                        <button onclick="" id="btnBuscarPagos" class="btn btn-primary">Buscar</button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" id="btnNuevo" class="btn btn-success"><i class="fa fa-user fa-lg">&nbsp;</i>Nuevo</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="box-body" id="box-body">
                    <table id="listHistoriaClinica" class="table table-sm table-bordered table-striped dt-responsive table-hover table-active">
                        <thead class="thead-dark">
                            <tr>
                                <th>Paciente</th>
                                <th>Fecha creación</th>
                                <th>Costo</th>
                                <th>Acciones</th>
                            </tr>               
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
            
        </div>
    </div>
</div>
<!--
<div class="row">
	<div class="col-md-12 col-lg-12">
		<div class="box box-primary">
			<div class="box-header">
				<button type="button" id="btnNuevo" class="btn btn-success"><i class="fa fa-user fa-lg">&nbsp;</i>Nuevo</button>
    		</div>
    		<div class="box-body">
    			<table id="listHistoriaClinica" class="table table-sm table-bordered table-striped dt-responsive table-hover table-active">
        			<thead class="thead-dark">
        				<tr>
        					<th>Paciente</th>
                            <th>Fecha creación</th>
                            <th>Costo</th>
        					<th>Acciones</th>
        				</tr>				
        			</thead>
        			<tbody>
        			</tbody>
        		</table>
    		</div>
		</div>
	</div>
</div>-->
<?php
$this->load->view("html/page/v2/prefooter");?>
<!--<script src="<?php echo base_url()?>assets/js/paciente/listPaciente.js"></script>-->
<script>
var datos={},idPacienteActual=null;;
$(document).ready(function(){
    $("#fechaInicial").datepicker({
        autoclose: true,  
        format: "dd-mm-yyyy",
        language: 'es'});
    $("#fechaFinal").datepicker({
        autoclose: true,  
        format: "dd-mm-yyyy",
        language: 'es'});
    loadHistoriasClinicas();
});
function loadHistoriasClinicas()
{
    loadPacientes();
    $.ajax({url:path+"historiaclinica/paciente/listHistoriaClinicaPaciente",
        data:{},
        method:"POST",
        dataType:"JSON",
        success:function(res){
            console.log(res);
            var listHistoriaClinica=$("#listHistoriaClinica").DataTable({
                "paging":true,
                "searching":true,
                "destroy":true,
                "data":res.historias,
                "columns":[
                    {data:function(data) {
                        return data.nombre+" "+data.appat+" "+data.apmat; 
                    }},
                    {"data":"fechaCreacion"},
                    {"data":function(data){
                        return data.totalCosto;
                    },"className":"text-right"},
                    {data:function(data){
                        var editar="verHistoriaClinica('"+data.idEncHistoria+"')";
                        return "<button onclick="+editar+" class='btn btn-xs btn-warning'><i class='fa fa-pencil'></i></button> "+
                        "<button class='btn btn-xs btn-danger'><i class='fa fa-trash'></i></button>";
                    }}
                ]
            });
            //listHistoriaClinica.search(nombre).draw();
        },error:function(res){
          console.log(res.responseText);
        }
    });
    $("#btnNuevo").click(function(){
        $(location).attr("href",path+"historiaclinica/paciente");
    });
}
function verHistoriaClinica(idEncHistoria)
{
    $(location).attr("href",path+"historiaclinica/paciente?idEnc="+encodeURIComponent(idEncHistoria));
}
function loadPacientes()
{
    $.ajax({url:path+"pacientes/paciente/datosPacienteModal",
        data:{"func":"seleccionar","todos":true},
        method:"POST",
        dataType:"html",
        success:function(res){
            //alert(res.message);
            $("#modAjax").html(res);
            $("#listTblPaciente").DataTable({});
            //$("#modAjax").modal();
        },error:function(res){
          console.log("error "+res.responseText);
        }
    });
}
function seleccionarPaciente(nombre,idPaciente)
{
    idPacienteActual=idPaciente;
    $("#nombrePaciente").html(atob(nombre));
    $("#modAjax").modal("hide");
}
</script>
<?php
$this->load->view("html/page/v2/footer");